pyotherside-tests_1.4.0-2_amd64.deb


Advertisement

Description

pyotherside-tests - Asynchronous Python 3 Bindings for Qt 5 (tests)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pyotherside-tests
Package version 1.4.0
Package release 2
Package architecture amd64
Package type deb
Installed size 241 B
Download size 65.09 KB
Official Mirror archive.ubuntu.com
A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
interpreter from QML. It was designed with mobile devices in mind, where
high-framerate touch interfaces are common, and where the user usually
interfaces only with one application at a time via a touchscreen. As such, it
is important to never block the UI thread, so that the user can always
continue to use the interface, even when the backend is processing,
downloading or calculating something in the background.
At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
objects to Python objects and vice versa, with focus on asynchronous events
and continuation-passing style function calls.
While legacy versions of PyOtherSide worked with Qt 4.x and Python 2.x, its
focus now lies on Python 3.x and Qt 5. Python 3 has been out for several
years, and offers some nice language features and clean-ups, while Qt 5
supports most mobile platforms well, and has an improved QML engine and a
faster renderer (Qt Scene Graph) compared to Qt 4.
This package contains the test suite that can be started post-installation.

Alternatives

Package Version Architecture Repository
pyotherside-tests_1.4.0-2_i386.deb 1.4.0 i386 Ubuntu Universe
pyotherside-tests - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libpython3.5 >= 3.5.0~b1
libqt5core5a >= 5.5.0
libqt5gui5 >= 5.5.0
libqt5gui5-gles >= 5.5.0
libqt5qml5 >= 5.0.2
libqt5test5 >= 5.5.0
libstdc++6 >= 4.1.1
python3 -
qml-module-io-thp-pyotherside = 1.4.0-2

Download

Type URL
Binary Package pyotherside-tests_1.4.0-2_amd64.deb
Source Package pyotherside

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pyotherside-tests deb package:
    # sudo apt-get install pyotherside-tests

Files

Path
/usr/lib/x86_64-linux-gnu/pyotherside/tests/tests
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_added_in_14/test_added_in_14.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_callback_errors/test_callback_errors.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_callback_errors/test_callback_errors.txt
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_callparam/test_callparam.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_datetime/test_datetime.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_datetime/test_datetime.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_errors/README
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_errors/test_errors.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_errors/test_errors.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_issue23/issue23.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_iterable/test_iterable.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_iterable/test_iterable.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/README
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/example_api10.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/example_api12.qml
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/thp_io/__init__.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/thp_io/pyotherside/__init__.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/thp_io/pyotherside/nested/__init__.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_nested_import/thp_io/pyotherside/nested/module.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_wrapped/test_wrapped.py
/usr/lib/x86_64-linux-gnu/pyotherside/tests/test_wrapped/test_wrapped.qml
/usr/share/doc/pyotherside-tests/changelog.Debian.gz
/usr/share/doc/pyotherside-tests/copyright

Changelog

2016-01-21 - Sylvain Pineau <sylvain.pineau@canonical.com>
pyotherside (1.4.0-2) experimental; urgency=medium
[ Zygmunt Krynicki ]
* Rename the binary package to qml-module-io-thp-pyotherside, closes: #780708
* Drop the (now obsolete) XS-Testsuite: autopkgtest header
* Add Sylvain as an uploader
[ Sylvain Pineau ]
* debian/control: Multi-Arch: foreign for pyotherside-tests was wrong
It was shipping an ELF file in /usr/lib/pyotherside/tests/tests
pyotherside-tests is now Multi-Arch: same and the files are installed in
/usr/lib/${DEB_HOST_MULTIARCH}
* debian/control: Remove bd on python3 as we already build-depend on
python3-dev
* Fix autopkgtest to use the path containing DEB_HOST_MULTIARCH
[ Dmitry Shachnev ]
* Use dh-exec instead of an .install.in file to subst DEB_HOST_MULTIARCH
2015-02-19 - Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
pyotherside (1.4.0-1) experimental; urgency=medium
[ Marco Trevisan (Treviño) ]
* New upstream release
* debian/control: Remove build dependency on qt5-default
* debian/control: Updated Standards-Version to 3.9.6
* debian/control: Adding myself as Uploader
* debian/rules: Fixed some lintian errors
[ Zygmunt Krynicki ]
* debian/control: remove DPMT from uploaders (requested by Piotr Ożarowski)
* debian/control: start short description with lower-case letter 
2014-04-30 - Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
pyotherside (1.2.0-1) unstable; urgency=medium
* Initial release. (Closes: #746294)

See Also

Package Description
pyp_2.12-1_all.deb sed/awk-like tool with Python language
pypar2_1.4-7_all.deb graphical frontend for the par2 utility
pype_2.9.4-2_all.deb Python programmers editor
pypi2deb_1.20151008_all.deb PyPI to Debian converter
pypibrowser_1.5-2.1_all.deb graphical interface for browsing the Python Package Index
pyppd_1.0.2-2_all.deb CUPS PostScript Printer Driver's compressor and generator
pyprompter_0.9.1-1.1ubuntu2_all.deb intelligent predictive wxPython text editor
pypump-shell_0.6-1_all.deb interface to the pump.io APIs (pypump-shell program)
pypy-appdirs_1.4.0-2_all.deb determining appropriate platform-specific directories (PyPy)
pypy-attr_15.2.0-1_all.deb Attributes without boilerplate (PyPy)
pypy-bs4_4.4.1-1_all.deb error-tolerant HTML parser for PyPy
pypy-dev_5.0.1+dfsg-4_all.deb header files for PyPy (an alternative Python interpreter)
pypy-doc_5.0.1+dfsg-4_all.deb developer Documentation for PyPy (an alternative Python interpreter)
pypy-dulwich_0.12.0-1build2_amd64.deb Python Git library - pypy module
pypy-enum34_1.1.2-1_all.deb backport of Python 3.4's enum package (PyPy package)
Advertisement
Advertisement